%global npmname generic-pool
%global npminstdir /usr/lib/node_modules/%{npmname}
#%global deplist ""

Summary: Generic resource pooling for Node.JS
Name: nodejs-%{npmname}
Version: 1.0.9
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/coopernurse/node-pool
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
Requires: nodejs
BuildArch: noarch
Provides: nodejs-%{npmname} = %{version}

%description
Generic resource pool.  Can be used to reuse or throttle expensive 
resources such as database connections.

%prep
rm -rf %{buildroot}
mkdir -p %{buildroot}

%build

%install
# Setup and unpack
mkdir -p %{buildroot}/%{npminstdir}
cd %{buildroot}/%{npminstdir}
tar xvfz %{SOURCE0}

# Setup the dependancies

# Run the scripts (except test scripts)

# Put everything in it's proper place
mv package/* .
mv package/.gitignore .npmignore
rmdir package

# Setup Binaries

%clean
rm -rf %{buildroot}

%files
%defattr(-, nobody, root, -)
%{npminstdir}

%changelog
* Thu Feb 16 2012 Troy Dawson <tdawson@redhat.com> - 1.0.9-1
- Initial build

